<?xml version="1.0" encoding="UTF-8"?>
<module external.linked.project.id=":tutorial-3:test" external.linked.project.path="$MODULE_DIR$/../../../../tutorial-3" external.root.project.path="$MODULE_DIR$/../../../.." external.system.id="GRADLE" external.system.module.group="id.ac.ui.cs.advprog" external.system.module.type="sourceSet" external.system.module.version="0.1.0" type="JAVA_MODULE" version="4">
  <component name="NewModuleRootManager" LANGUAGE_LEVEL="JDK_1_8">
    <output-test url="file://$MODULE_DIR$/../../../../tutorial-3/out/test/classes" />
    <exclude-output />
    <content url="file://$MODULE_DIR$/../../../../tutorial-3/src/test">
      <sourceFolder url="file://$MODULE_DIR$/../../../../tutorial-3/src/test/java" isTestSource="true" />
      <sourceFolder url="file://$MODULE_DIR$/../../../../tutorial-3/src/test/resources" type="java-test-resource" />
    </content>
    <orderEntry type="inheritedJdk" />
    <orderEntry type="sourceFolder" forTests="false" />
    <orderEntry type="module" module-name="tutorial-3_main" />
    <orderEntry type="library" name="Gradle: org.mockito:mockito-core:2.5.4" level="project" />
    <orderEntry type="library" name="Gradle: org.junit.jupiter:junit-jupiter-api:5.1.0" level="project" />
    <orderEntry type="library" name="Gradle: junit:junit:4.12" level="project" />
    <orderEntry type="library" name="Gradle: net.bytebuddy:byte-buddy:1.6.0" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Gradle: org.junit.jupiter:junit-jupiter-engine:5.1.0" level="project" />
    <orderEntry type="library" name="Gradle: net.bytebuddy:byte-buddy-agent:1.6.0" level="project" />
    <orderEntry type="library" name="Gradle: org.objenesis:objenesis:2.4" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Gradle: org.junit.vintage:junit-vintage-engine:5.1.0" level="project" />
    <orderEntry type="library" name="Gradle: org.junit.platform:junit-platform-commons:1.1.0" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Gradle: org.junit.platform:junit-platform-launcher:1.1.0" level="project" />
    <orderEntry type="library" name="Gradle: org.apiguardian:apiguardian-api:1.0.0" level="project" />
    <orderEntry type="library" name="Gradle: org.opentest4j:opentest4j:1.0.0" level="project" />
    <orderEntry type="library" name="Gradle: org.hamcrest:hamcrest-core:1.3" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Gradle: org.junit.platform:junit-platform-engine:1.1.0" level="project" />
  </component>
  <component name="TestModuleProperties" production-module="tutorial-3_main" />
</module>